Create a pull request

View as Markdown
Creates a pull request for a forked collection into its parent collection.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

collectionIdstringRequiredformat: "uid"
The collection's unique ID.

Request

This endpoint expects an object.
titlestringRequired
The title of the pull request.
reviewerslist of stringsRequired
A list of reviewers to assign to the pull request.
destinationIdstringRequired
The collection ID to merge the pull request into.
descriptionstringOptional
The pull request's description.

Response

Successful Response
createdAtstringOptional
The date and time at which the pull request was created.
createdBystringOptional
The ID of the user who created the pull request.
descriptionstringOptional
The pull request's description.
destinationIdstringOptional
The pull request's merge destination ID.
idstringOptional
The pull request's ID.
sourceIdstringOptional

The pull request’s source (parent) ID.

statusstringOptional
The pull request's current status.
titlestringOptional
The pull request's title.
updatedAtstringOptional
The date and time at which the pull request was updated.

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error